petsc-3.13.6 2020-09-29
Report Typos and Errors

# KSPInitializePackage

This function initializes everything in the KSP package. It is called from PetscDLLibraryRegister_petscksp() when using dynamic libraries, and on the first call to KSPCreate() when using shared or static libraries.

### Synopsis

    PetscErrorCode  KSPInitializePackage(void)

### See Also

PetscInitialize()

### Level

developer

### Location

src/ksp/ksp/interface/dlregisksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages